GET /alerts
weather.gov:national-weather-service-api
Operation ID: alerts_query
Auth: unknown
Description
Returns all alerts
Parameters (17)
(boolean, query, optional)
List only active alerts (use /alerts/active endpoints instead)
(array, query, optional)
State/territory code or marine area code This parameter is incompatible with the following parameters: point, region, region_type, zone
(array, query, optional)
Certainty (observed, likely, possible, unlikely, unknown)
(array, query, optional)
Event code
(string, query, optional)
Pagination cursor
(string, query, optional)
End time
(array, query, optional)
Event name
(integer, query, optional, default: 500)
Limit
Constraints: {'minimum': 1, 'maximum': 500}
(array, query, optional)
Message type (alert, update, cancel)
(?, query, optional)
Point (latitude,longitude) This parameter is incompatible with the following parameters: area, region, region_type, zone
(array, query, optional)
Marine region code This parameter is incompatible with the following parameters: area, point, region_type, zone
(string, query, optional)
Region type (land or marine) This parameter is incompatible with the following parameters: area, point, region, zone
Constraints: {'enum': ['land', 'marine']}
(array, query, optional)
Severity (extreme, severe, moderate, minor, unknown)
(string, query, optional)
Start time
(array, query, optional)
Status (actual, exercise, system, test, draft)
(array, query, optional)
Urgency (immediate, expected, future, past, unknown)
(array, query, optional)
Zone ID (forecast or county) This parameter is incompatible with the following parameters: area, point, region, region_type
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| Get active alerts with limit | curl |
https://api.weather.gov/alerts?active=true&limit=10 |
|
| Get alerts for California | curl |
https://api.weather.gov/alerts?area=CA&limit=50 |
|
| Get alerts near San Francisco coordinates | curl |
https://api.weather.gov/alerts?point=37.7749,-122.4194 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 09:04:36.509326 | 200 | 2252ms | |
| 2026-03-23 01:51:29.108737 | 200 | 723ms | |
| 2026-03-23 01:50:27.578309 | 200 | 824ms | 1.0MB |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 01:51:29.108737 | ab96333d0574 |
8d1955b13af4 |
| 2026-03-23 09:04:36.509326 | 8d1955b13af4 |
46b06db064db |